Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
Template Class Reference

## Public Member Functions
| __construct ($root=".", $unknowns="remove")
| set_root ($root)
| set_unknowns ($unknowns="keep")
| set_file ($handle, $filename="")
| set_block ($parent, $handle, $name="")
| set_var ($varname, $value="")
& | subst ($handle)
| psubst ($handle)
| parse ( $target, $handle, $append=false)
| pparse ($target, $handle, $append=false)
| get_vars ()
& | get_var ($varname)
| get_undefined ($handle)
| finish ($str)
| p ($varname)
| get ($varname)
| filename ($filename)
& | varname ($varname)
| loadfile ($handle)
| halt ($msg)
| haltmsg ($msg)

## Public Attributes
| $classname = "Template"
| $debug = false
| $file = array()
| $root = ""
| $varkeys = array()
| $varvals = array()
| $unknowns = "remove"
| $halt_on_error = "report"
| $last_error = ""

## Detailed Description

Definition at line 13 of file template.inc.php.

## Constructor & Destructor Documentation

## ◆ __construct()

Template::__construct | ( |  | $root = `"."`,
|  |  | $unknowns = `"remove"`
| ) |  |

Definition at line 48 of file template.inc.php.

References set_root(), and set_unknowns().

## Member Function Documentation

## ◆ filename()

Template::filename | ( |  | $filename | ) |

Definition at line 316 of file template.inc.php.

References file_exists(), and halt().

Referenced by set_file().

## ◆ finish()

Template::finish | ( |  | $str | ) |

Definition at line 279 of file template.inc.php.

References $str.

Referenced by get(), and p().

## ◆ get()

Template::get | ( |  | $varname | ) |

Definition at line 308 of file template.inc.php.

References finish(), and get_var().

## ◆ get_undefined()

Template::get_undefined | ( |  | $handle | ) |

Definition at line 250 of file template.inc.php.

References $result, get_var(), halt(), and loadfile().

## ◆ get_var()

& Template::get_var | ( |  | $varname | ) |

Definition at line 230 of file template.inc.php.

References $result.

Referenced by get(), get_undefined(), p(), parse(), set_block(), and subst().

## ◆ get_vars()

Template::get_vars | ( |  | ) |

Definition at line 212 of file template.inc.php.

References $result.

## ◆ halt()

Template::halt | ( |  | $msg | ) |

Definition at line 365 of file template.inc.php.

References $msg, and haltmsg().

Referenced by filename(), get_undefined(), loadfile(), set_block(), set_file(), set_root(), and subst().

## ◆ haltmsg()

Template::haltmsg | ( |  | $msg | ) |

Definition at line 380 of file template.inc.php.

References $msg.

Referenced by halt().

## ◆ loadfile()

Template::loadfile | ( |  | $handle | ) |

Definition at line 339 of file template.inc.php.

References $str, halt(), and set_var().

Referenced by get_undefined(), set_block(), and subst().

## ◆ p()

Template::p | ( |  | $varname | ) |

Definition at line 304 of file template.inc.php.

References finish(), and get_var().

## ◆ parse()

Template::parse | ( |  | $target,
|  |  | $handle,
|  |  | $append = `false`
| ) |  |

Definition at line 178 of file template.inc.php.

References $i, $str, get_var(), set_var(), and subst().

Referenced by pparse(), eZQDomRenderer\renderCustom(), eZFormRenderer\renderElement(), eZQDomRenderer\renderFile(), eZFormRenderer\renderForm(), eZQDomRenderer\renderHeader(), eZQDomRenderer\renderHr(), eZQDomRenderer\renderImage(), eZQDomRenderer\renderLink(), eZQDomRenderer\renderMedia(), eZQDomRenderer\renderRollOver(), eZQDomRenderer\renderStandards(), and eZFormRenderer\verifyForm().

## ◆ pparse()

Template::pparse | ( |  | $target,
|  |  | $handle,
|  |  | $append = `false`
| ) |  |

Definition at line 204 of file template.inc.php.

References parse().

## ◆ psubst()

Template::psubst | ( |  | $handle | ) |

Definition at line 166 of file template.inc.php.

References subst().

## ◆ set_block()

Template::set_block | ( |  | $parent,
|  |  | $handle,
|  |  | $name = `""`
| ) |  |

Definition at line 106 of file template.inc.php.

References $name, $str, get_var(), halt(), loadfile(), and set_var().

Referenced by eZFormRenderer\__construct(), and eZQDomRenderer\__construct().

## ◆ set_file()

Template::set_file | ( |  | $handle,
|  |  | $filename = `""`
| ) |  |

Definition at line 81 of file template.inc.php.

References filename(), and halt().

Referenced by eZFormRenderer\__construct(), and eZQDomRenderer\__construct().

## ◆ set_root()

Template::set_root | ( |  | $root | ) |

Definition at line 56 of file template.inc.php.

References $root, halt(), and eZPBFile\is_dir().

Referenced by __construct().

## ◆ set_unknowns()

Template::set_unknowns | ( |  | $unknowns = `"keep"` | ) |

Definition at line 70 of file template.inc.php.

References $unknowns.

Referenced by __construct().

## ◆ set_var()

Template::set_var | ( |  | $varname,
|  |  | $value = `""`
| ) |  |

Definition at line 129 of file template.inc.php.

Referenced by eZFormRenderer\__construct(), loadfile(), parse(), eZQDomRenderer\renderCustom(), eZFormRenderer\renderElement(), eZQDomRenderer\renderFile(), eZFormRenderer\renderForm(), eZQDomRenderer\renderHeader(), eZQDomRenderer\renderImage(), eZQDomRenderer\renderLink(), eZQDomRenderer\renderMedia(), eZQDomRenderer\renderRollOver(), eZQDomRenderer\renderStandards(), set_block(), and eZFormRenderer\verifyForm().

## ◆ subst()

& Template::subst | ( |  | $handle | ) |

Definition at line 150 of file template.inc.php.

References $str, get_var(), halt(), and loadfile().

Referenced by parse(), and psubst().

## ◆ varname()

& Template::varname | ( |  | $varname | ) |

Definition at line 331 of file template.inc.php.

## Member Data Documentation

## ◆ $classname

Template::$classname = "Template"

Definition at line 14 of file template.inc.php.

## ◆ $debug

Template::$debug = false

Definition at line 17 of file template.inc.php.

## ◆ $file

Template::$file = array()

Definition at line 20 of file template.inc.php.

## ◆ $halt_on_error

Template::$halt_on_error = "report"

Definition at line 37 of file template.inc.php.

## ◆ $last_error

Template::$last_error = ""

Definition at line 40 of file template.inc.php.

## ◆ $root

Template::$root = ""

Definition at line 23 of file template.inc.php.

Referenced by set_root().

## ◆ $unknowns

Template::$unknowns = "remove"

Definition at line 34 of file template.inc.php.

Referenced by set_unknowns().

## ◆ $varkeys

Template::$varkeys = array()

Definition at line 26 of file template.inc.php.

## ◆ $varvals

Template::$varvals = array()

Definition at line 27 of file template.inc.php.

The documentation for this class was generated from the following file:

- template.inc.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.